.modal {
    width: 95%;
    color: white;
    position: relative;
    margin: rem(56) auto;
    max-width: rem(410);
    background: #222;
    padding: rem(24);
    border-radius: rem(12);

    &--gallery {
        padding: 0 !important;
    }

    &__media {
        display: block;
        overflow: hidden;
        border-radius: rem(12);
        margin-bottom: rem(24);
    }

    &__header {
        margin-bottom: rem(20);
        display: flex;
        row-gap: rem(20);
        flex-direction: column;
    }

    &__title {
        font-weight: 600;
        font-size: rem(16);
        line-height: rem(22);

        &--xl {
            font-size: rem(32);
            line-height: rem(32);
            text-transform: uppercase;
        }
    }

    &__heading {
        font-weight: 500;
        font-size: rem(28);
        line-height: rem(28);
        text-transform: uppercase;
        margin-bottom: rem(16);
    }

    &__text {
        font-size: rem(14);
        line-height: rem(20);
        margin-bottom: rem(16);
    }

    &__close {
        //top: -48px;
        top: 16px;
        right: 16px;
        padding: 0;
        font-size: 0;
        line-height: 0;
        width: 36px;
        height: 36px;
        border: none;
        outline: none;
        cursor: pointer;
        position: fixed;
        background: white;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        opacity: 0;

        i {
            width: 20px;
            height: 20px;
            display: block;
            flex-shrink: 0;
        }
    }

    &__notice {
        font-size: rem(12);
        line-height: rem(18);
    }

    &__button {
        text-align: center;
    }

    &__button {
        margin-top: rem(24);
    }

    &__map {
        margin-top: rem(20);
        overflow: hidden;
        height: 180px;
        border-radius: 4px;
    }

    &__map-legend {
        font-size: rem(12);
        line-height: rem(18);
        display: flex;
        row-gap: rem(4);
        flex-direction: column;
    }

    &__map-group {
        display: flex;
        row-gap: rem(4);
        flex-direction: column;
    }

    &__map-info {
        opacity: .7;
        max-width: rem(450);
        font-size: rem(12);
        line-height: rem(18);
        margin-top: rem(8);
    }

    @include media-breakpoint-up(md) {

        &--md {
            width: rem(516);
            padding: rem(48);
            max-width: inherit;
        }

        &--lg {
            width: rem(680);
            padding: rem(32);
            max-width: inherit;
        }

        &--gallery {
            width: 95%;
            max-width: 774px;
            padding: 0 !important;
        }

        &__header {
            margin-bottom: rem(32);

            &--xl {
                margin-bottom: rem(24);
            }
        }

        &__title {
            font-size: rem(24);
            line-height: rem(24);

            &--xl {
                font-size: rem(36);
                line-height: rem(36);
            }
        }

        &__heading {
            font-size: rem(36);
            line-height: rem(36);
        }

        &__text {
            font-size: rem(16);
            line-height: rem(22);
        }

        &__close {
            top: 24px;
            right: 24px;
            width: 48px;
            height: 48px;
            position: fixed;

            i {
                width: 24px;
                height: 24px;
            }
        }

        &__button {
            margin-top: rem(32);
        }

        &__map {
            margin-top: rem(24);
        }

        &__map-legend {
            column-gap: rem(40);
            flex-direction: row;
        }

        &__map-group {
            min-width: rem(260);
        }
    }


    @include media-breakpoint-up(lg) {

        &--lg {
            padding: rem(48);
            width: rem(774);
        }
    }


    @include media-breakpoint-up(xl) {

        &--gallery {
            width: 774px;
        }

        &__header {

            &--xl {
                margin-bottom: rem(40);
            }
        }

        &__map {
            height: 224px;
            margin-top: rem(40);
        }

        &__map-legend {
            font-size: rem(16);
            line-height: rem(22);
        }

        &__map-group {
            min-width: rem(260);

            &:first-child {
                width: rem(354);
                flex-shrink: 0;
            }
        }

        &__map-info {
            max-width: rem(630);
            margin-top: rem(12);
            font-size: rem(16);
            line-height: rem(22);
        }
    }
}

.fancybox__backdrop {
    background-color: rgba(0, 0, 0, 0.8);
}

.is-done {

    .modal__close {
        opacity: 1;
    }
}

.modal-gallery {
    overflow: hidden;
    position: relative;
    border-radius: 10px;

    &__image {
        display: block;
        overflow: hidden;
        border-radius: 10px;
    }

    &__nav {
        top: calc(50% - 21px);
        z-index: 20;
        position: absolute;

        &--prev {
            left: 8px;
        }

        &--next {
            right: 8px;
        }
    }
}
